#include<bits\stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n; cin>>n;
    int a[26];
    for(int i = 0; i<26;i++) a[i]=0;
    char t;
    for(int i = 0; i<n; i++){
        cin>>t;
        if(t=='A'){ a[0]++; }
        else{ a[t-'A']+=a[t-'A'-1]; }
        if(a[t-'A']>=1000000007){ a[t-'A']-=1000000007;}
    }
    cout<<a[25];
    return 0;
}